Try Free

System Requirements

actiTIME Mobile Timesheet application requires iOS 9.0+ and Android 2.3.3+.

The application is compatible with both self-hosted and online actiTIME versions starting from v3.1. However, please note that the ability to change user’s data and to view locked time-track, approved time-track and overtime are only available in the mobile app for iOS on actiTIME versions starting from 2017.1.

Still have questions? Let us help you.